# Event Handling

### Custom Event Handler

There are many pages and actions on social.plus UIKit. Pages can be nested inside others and it would be hard to override events on the nested pages. To solve this problem, we provide `EkoEventHandler` which is a behavior controller for actions that happen in UIKit.

### Supported Events

| Event                  | Parameter   | Condition                                            |
| ---------------------- | ----------- | ---------------------------------------------------- |
| communityDidTap        | communityId | community avatar or community display name is tapped |
| userDidTap             | userId      | user avatar or user display name is tapped           |
| editUserDidTap         | userId      | edit user button is tapped                           |
| postDidtap             | postId      | post or comment on social feed is tapped             |
| editPostDidTap         | postId      | edit post button is tapped                           |
| channelDidTap          | channelId   | user channel list or user chat button is tapped      |
| communityChannelDidTap | channelId   | n/a                                                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.social.plus/social-plus-uikit/uikit-3/ios/community/overriding-behavior/event-handling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
